#include <iostream>
#include <vector>
#include <algorithm>
#include <math.h>
#include <iomanip>
using namespace std;

int main()
{

    ios_base::sync_with_stdio(false);//cin.tie(NULL);
    int n,br=0;
    int j;
    cin >>n;
    vector<int>x(n);
    vector<int>y(n);
    vector<int>z(n);

    for(int i=0;i<n;i++)
    {
        cin >>x[i];
    }
    for(int j=0;j<n;j++)
    {
        cin >>y[j];
    }
    for(int k=0;k<n;k++)
    {
        cin >>z[k];
    }

    for(int i=0;i<n;i++){
        for(int j=0;j<n;j++)
        {
            for(int k=0;k<n;k++)
            {
                if(x[i]==y[j]&&j+1==z[k])br++;
            }
        }
    }
    cout <<br<<"\n";



    return 0;
}